DRUO
Get started
Recurring Plans

Pause Recurring Plan

PUThttps://api.druo.com/recurring-plans/{recurring_plan_uuid}/pause

Pause an active recurring plan.

Updates the status of a specific recurring plan to PAUSED using its unique identifier.

Path parameters

recurring_plan_uuidstringRequired

The unique identifier of the resource.

Response

uuidstringoptional

The unique identifier of the recurring plan.

Example: rcp_747536f4-1efd-4cad-91b3-cc8aaeed93e3
codestringoptional

The unique code of the recurring plan.

Example: SCSCDSVFGH
descriptionstringoptional

The description of the recurring plan.

Example: Recurring Plan #1234567 for transaction 123455
processing_methodstringoptional

The processing method utilized by the recurring plan.

Example: AUTOMATIC
statusstringoptional

The current status of the recurring plan.

Example: PAUSED
start_datestringoptional

The scheduled start date and time of the recurring plan.

Example: 2023-08-16T23:20:15.645+00:00
end_datestringoptional

The scheduled end date and time of the recurring plan.

Example: 2023-10-16T23:20:15.645+00:00
total_cycle_countstringoptional

The total number of cycles scheduled for the recurring plan.

Example: 4
cycle_frequencystringoptional

The cycle frequency of the recurring plan.

Example: MONTHLY
end_userEndUseroptional

The full End User object associated with this recurring plan.

origin_accountstringoptional

The unique identifier of the origin account for the recurring plan.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
destination_accountstringoptional

The unique identifier of the destination account for the recurring plan.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
primary_referencestringoptional

An optional primary reference to associate the recurring plan with an external system entity.

Example: 23423524
secondary_referencestringoptional

An optional secondary reference to associate the recurring plan with an external system entity.

Example: bj39fhow39fhqp3f0hfae4344
transactionobjectoptional

The transaction information that belongs to the created recurring plan.

metadataobjectoptional

A set of key-value pairs that can be attached to the object. Supports up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Example: {"order_id": "6735"}
NextPUTCancel Recurring Plan